PATCH
https://api.cryptohopper.com/v1/user/usermetadata
Sets mobile_notifications to 1 in the user's metadata. It takes no input.
OAuth scope:
user About scopes
The stored metadata is replaced by {"mobile_notifications": 1}, so any other metadata keys are removed.
Example request
curl -X PATCH "https://api.cryptohopper.com/v1/user/usermetadata" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/user/usermetadata', {
method: 'PATCH',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.patch(
"https://api.cryptohopper.com/v1/user/usermetadata",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/user/usermetadata');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": "Mobile notifications enabled"
}